Package org.eclipse.graphiti.platform

# Class AbstractExtension

java.lang.Object
org.eclipse.graphiti.platform.AbstractExtension

All Implemented Interfaces:
  `IExtension`

Direct Known Subclasses:
  `AbstractDiagramTypeProvider`, `AbstractImageProvider`, `DiagramTypeImpl`, `ExportDiagramAsImageDummyImageProvider`

public abstract class AbstractExtension extends Object implements IExtension
The Class AbstractExtension.

## Constructor Summary

Constructors
Constructor
Description
`AbstractExtension()`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getProviderId()`
Gets the provider id.
`final void`
`setProviderId(String providerId)`
Sets the provider id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractExtension

public AbstractExtension()

## Method Details

### getProviderId

public final String getProviderId()
Description copied from interface: `IExtension`
Gets the provider id.

Specified by:
  `getProviderId` in interface `IExtension`
Returns:
  the provider id

### setProviderId

public final void setProviderId(String providerId)
Description copied from interface: `IExtension`
Sets the provider id.

Specified by:
  `setProviderId` in interface `IExtension`
Parameters:
  `providerId` - the new provider id